#!/bin/python

import os
import datetime

def backup_file(file_path=".", backup_dir="/tmp"):
    """
    Esegue il backup di un file specificato e lo salva in una directory di backup.

    Parametri:
    file_path (str): Percorso del file da eseguire il backup.
    backup_dir (str): Percorso della directory dove salvare il backup.

    Ritorna:
    None
    """
    # Controlla se la directory di backup esiste
    if not os.path.exists(backup_dir):
        os.makedirs(backup_dir)

    # Costruisce il percorso del file di backup
    backup_file_path = os.path.join(backup_dir, os.path.basename(file_path))

    # Esegue il backup del file
    os.system(f"cp -r {file_path} {backup_file_path}")

    # Stampa informazioni sul backup
    print(f"Backup eseguito il {datetime.datetime.now()} per il file {file_path}")
    print(f"File di backup salvato in: {backup_file_path}")

# Esempio di utilizzo
file_to_backup = "."
backup_directory = "/tmp/backup"
backup_file(file_to_backup, backup_directory)
